=== debian/changelog ===
xombrero (2:1.6.3-1) unstable; urgency=low

  [Joao Eriberto Mota Filho]

  * New maintainer.
  * Luis Henriques now acting as co-maintainer. Thanks Luis Henriques for
    your nice work around the xxxterm. Let's go!
  * ACK for NMUs to xxxterm:
      - Fix FTBFS due to main Makefile being fit for BSD make. Thanks to
        Andrew Shadura <andrewsh@debian.org>. (Closes: 718074)
      - Added patch resolving FTBFS due to missing header. Thanks to
        Daniel T Chen <seven.steps@gmail.com> and
        David Prévot <taffit@debian.org>. (Closes: #729439, #730330)
        This patch was reviewed and adapted to Xombrero.
        (Closes: #729439, #730330)
      - 0007-Unnecessary-gcrypt-requirement.diff: Only link against and
        #include gcrypt for gnutls < 2.12. Thanks to
        Andreas Metzler <ametzler@debian.org> and
        Dimitri John Ledkov <xnox@ubuntu.com>. (Closes: #746155)
      - Rebuild against GnuTLS v3. Thanks to
        Andreas Metzler <ametzler@debian.org>. (Closes: #752313)
  * debian/control:
      - Added a VCS (Git).
      - Some adjustments in short/long descriptions.
  * debian/copyright: reviewed and updated.
  * debian/patches: dropped the 0007-Unnecessary-gcrypt-requirement.diff
    patch because Xombrero doesn't link against gcrypt.
  * debian/rules: added --parallel option to DH.
  * debian/source: added a Lintian override to explain about a false
    positive.
  * debian/watch: improved.
  * xombrero.lintian-overrides: added a Lintian override to explain about
    a false positive.

  [Luis Henriques]

  * New upstream release (Closes: #695874, #677205).
  * Changed source and binary package name to xombrero in order to be
    consistent with upstream's new naming:
    - New package now 'replaces' and 'Breaks' the obsolete xxxterm package.
  * Updated debian/control file:
    - Description field to match the new package description.
    - Changed from libwebkitgtk-dev to libwebkitgtk-3.0-dev dependency.
    - Added xxxterm dummy package.
  * Updated debian/copyright file to match the file renames.
  * Renamed debian/xxxterm.upstream-changelog to
    debian/xombrero.upstream-changelog.
  * Modified all other control files according to the renaming:
    - debian/examples
    - debian/install
    - debian/menu
    - debian/postinst
    - debian/prerm
    - debian/rules
    - debian/watch
  * Added NEWS.Debian file.
  * Moved to debhelper v9, to handle hardening flags.
  * Updated Standards-Version to latest version (3.9.5).
  * Updated debian/menu icon path to use full path instead of relative
    path.
  * Added debian/docs file to install README.md.
  * Dropped 0003-Unnecessary-lib-directory-installation patch as it is not
    required anymore.
  * Added new patch to add "Keywords" to .desktop file.
  * Added lintian-overrides file to ignore a typo in a quote.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 08 Sep 2014 09:30:43 -0300

xxxterm (1:1.11.3-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild against GnuTLS v3. Closes: #752313

 -- Andreas Metzler <ametzler@debian.org>  Sat, 09 Aug 2014 16:03:09 +0200

xxxterm (1:1.11.3-1.3) unstable; urgency=medium

  [ Andreas Metzler ]
  * 0007-Unnecessary-gcrypt-requirement.diff: Only link against and #include
    gcrypt for gnutls < 2.12. (Closes: #746155)

  [ Dimitri John Ledkov ]
  * Non-maintainer upload.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 17 May 2014 02:09:26 +0100

xxxterm (1:1.11.3-1.2) unstable; urgency=medium

  * Non-maintainer upload

  [ Daniel T Chen ]
  * Added patch resolving FTBFS due to missing header
   (Closes: #729439, #730330)

 -- David Prévot <taffit@debian.org>  Mon, 23 Dec 2013 19:02:49 -0400

xxxterm (1:1.11.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS due to main Makefile being fit for BSD make (Closes: 718074).

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 16 Oct 2013 10:54:59 +0200
2

xxxterm (1:1.11.3-1) unstable; urgency=low

  * New upstream release
  * Updated copyright file with new files in package
  * Updated copyright file "format" field
  * Added postinst and prerm to add/remove x-www-browser alternative
    (Closes: #660331)
  * Updated Standards-Version to latest version (3.9.3)

 -- Luis Henriques <henrix@camandro.org>  Sun, 04 Mar 2012 13:12:46 +0000

xxxterm (1:1.10.0-1) unstable; urgency=low

  * New upstream release

 -- Luis Henriques <henrix@camandro.org>  Thu, 05 Jan 2012 00:09:02 +0000

xxxterm (1:1.9.0-1) unstable; urgency=low

  * New upstream release (Closes: #648228 #651673)
  * Updated copyright file
  * Added 'epoch' component to package version, due to upstream versioning
    scheme change

 -- Luis Henriques <henrix@camandro.org>  Thu, 08 Dec 2011 21:35:33 +0000

xxxterm (1.518-1) unstable; urgency=low

  * Imported Upstream version 1.518 (Closes: #636807)
  * Patches re-generation (package being managed with git now)
  * Updated copyright file
  * watch file modified
  * build-deps now has one package per line

 -- Luis Henriques <luis.henrix@gmail.com>  Tue, 09 Aug 2011 19:03:51 +0100

xxxterm (1.471-1) unstable; urgency=low

  * New upstream release (Closes: #636566)
  * Fixed typo in man page, with patch from "A. Costa" <agcosta@gis.net>
    (Closes: 635643)
  * Added 3 new example files: playflash.sh for the default_script
    configuration option, a quickmarks file and a favorites file

 -- Luis Henriques <luis.henrix@gmail.com>  Thu, 04 Aug 2011 22:26:01 +0100

xxxterm (1.425-2) unstable; urgency=low

  * Transition to Webkit 1.3 (Closes: #635433)
  * Fix icon path on debian/menu (Closes: #635355)

 -- Luis Henriques <luis.henrix@gmail.com>  Tue, 26 Jul 2011 19:07:59 +0100

xxxterm (1.425-1) unstable; urgency=low

  * New upstream release (Closes: #634084)
  * Added upstream changelog, obtained from project web forum
  * Corrected copyright for files hinting.js, input-focus.js and
    js-merge-helper.pl; Added copyright for PNG files and for javascript.h

