=== debian/control ===
Source: xombrero
Section: web
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Uploaders: Luis Henriques <henrix@camandro.org>
Build-Depends: debhelper (>= 9),
  libwebkitgtk-3.0-dev,
  libgtk-3-dev,
  libsoup2.4-dev,
  libgnutls28-dev,
  libbsd-dev,
  imagemagick
Standards-Version: 3.9.5
Homepage: http://opensource.conformal.com/wiki/xombrero
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/xombrero.git
Vcs-Git: git://anonscm.debian.org/collab-maint/xombrero.git

Package: xombrero
Architecture: any
Replaces: xxxterm (<< 2:1.6.3-1~)
Breaks: xxxterm (<< 2:1.6.3-1~)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: minimalist web browser
 xombrero is a minimalist web browser with sophisticated security features
 designed-in, rather than through an add-on after-the-fact. In particular,
 it provides both persistent and per-session controls for scripts and cookies,
 making it easy to thwart tracking and scripting attacks.
 .
 In addition to providing a familiar mouse-based interface like other web
 browsers, it offers a set of vi-like keyboard commands for users who prefer
 to keep their hands on their keyboard.
 .
 The default settings provide a secure environment. With simple keyboard
 commands, the user can whitelist specific sites, allowing cookies and scripts
 from those sites.
 .
 xombrero is light and has a very good performance when running over network
 connections, as SSH forwarded tunnels.
 .
 The major features are:
   - Tabbed browsing;
   - Written entirely in C;
   - Based on Webkit and GTK3, with GTK2 compatibility;
   - Built with security in mind;
   - Minimal on-screen layout;
   - Cookie, javascript and plugin toggles and whitelists;
   - Browsing session data auto-saves in case of crash;
   - Simple integration with Tor and other web proxies;
   - vi-like default keybindings;
   - Mouse-less browsing;
   - Basic MIME support;
   - Seamless upgrade process;
   - DNS and link prefetch disabled by default;
   - Colorful address bar indicates HTTPS certificate status;
   - Control over user_agent presented to sites;
   - Download manager;
   - Text-based config file;
   - Bookmarks, i.e. favorites;
   - Printing, including to PDF.

Package: xxxterm
Section: oldlibs
Priority: extra
Architecture: all
Depends: xombrero, ${misc:Depends}
Description: transitional dummy package for xxxterm
 This is a transitional dummy package to xombrero. It can safely be removed.
