## xombrero 1.6.4

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 PREFIX?=/usr/local
 BINDIR=${PREFIX}/bin
+CFLAGS+= -DXT_DS_RESOURCE_DIR=\"$(PREFIX)/share/xombrero/\"
 
 PROG=xombrero
 MAN=xombrero.1
@@ -59,14 +60,15 @@
 	install -m 755 -d ${PREFIX}/man/man1/
 	install -m 755 -d ${PREFIX}/share/xombrero
 	install -m 755 -d ${PREFIX}/share/applications
-	install -m 644 $(.CURDIR)/xombrero.css ${PREFIX}/share/xombrero
-	install -m 644 $(.CURDIR)/xombrero.desktop ${PREFIX}/share/applications
-	install -m 644 ${.CURDIR}/xombreroicon.png ${PREFIX}/share/xombrero
+	install -m 644 ${.CURDIR}/xombrero.css ${PREFIX}/share/xombrero
+	install -m 644 ${.CURDIR}/xombrero.desktop ${PREFIX}/share/applications
 	install -m 644 ${.CURDIR}/xombreroicon16.png ${PREFIX}/share/xombrero
 	install -m 644 ${.CURDIR}/xombreroicon32.png ${PREFIX}/share/xombrero
 	install -m 644 ${.CURDIR}/xombreroicon48.png ${PREFIX}/share/xombrero
 	install -m 644 ${.CURDIR}/xombreroicon64.png ${PREFIX}/share/xombrero
 	install -m 644 ${.CURDIR}/xombreroicon128.png ${PREFIX}/share/xombrero
+	install -m 644 ${.CURDIR}/xombreroicon256.png ${PREFIX}/share/xombrero
+	install -m 644 ${.CURDIR}/favicon.ico ${PREFIX}/share/xombrero
 	install -m 644 ${.CURDIR}/tld-rules ${PREFIX}/share/xombrero
 	install -m 644 ${.CURDIR}/style.css ${PREFIX}/share/xombrero
 	install -m 644 ${.CURDIR}/hsts-preload ${PREFIX}/share/xombrero
