=== dragonfly/Makefile ===
--- 
+++ 
@@ -16,6 +16,7 @@
 BINDIR?= $(PREFIX)/bin
 MANDIR?= $(PREFIX)/man
 RESDIR?= $(PREFIX)/share/xombrero/
+CFLAGS+= -DXT_DS_RESOURCE_DIR=\"$(RESDIR)\"
 
 CC= cc
 
@@ -67,6 +68,7 @@
 	install -m 755 -d $(DESTDIR)$(BINDIR)
 	install -m 755 -d $(DESTDIR)$(MANDIR)/man1
 	install -m 755 -d $(DESTDIR)$(RESDIR)
+	install -m 755 -d $(DESTDIR)$(PREFIX)/share/applications
 	install -m 755 xombrero $(DESTDIR)$(BINDIR)
 	install -m 644 ../xombrero.1 $(DESTDIR)$(MANDIR)/man1/xombrero.1
 	install -m 644 ../xombrero.css $(DESTDIR)$(RESDIR)
@@ -76,6 +78,8 @@
 	install -m 644 ../xombreroicon48.png $(DESTDIR)$(RESDIR)
 	install -m 644 ../xombreroicon64.png $(DESTDIR)$(RESDIR)
 	install -m 644 ../xombreroicon128.png $(DESTDIR)$(RESDIR)
+	install -m 644 ../xombreroicon256.png $(DESTDIR)$(RESDIR)
+	install -m 644 ../favicon.ico $(DESTDIR)$(RESDIR)
 	install -m 644 ../tld-rules $(DESTDIR)$(RESDIR)
 	install -m 644 ../style.css $(DESTDIR)$(RESDIR)
 	install -m 644 ../hsts-preload $(DESTDIR)$(RESDIR)
