=== osx/Makefile ===
--- 
+++ 
@@ -1,5 +1,12 @@
 LIBS= glib-2.0
-LIBS+= gtk+-2.0 webkit-1.0
+GTK_VERSION ?= gtk3
+ifeq ("${GTK_VERSION}", "gtk2")
+LIBS+= gtk+-2.0
+LIBS+= webkit-1.0
+else
+LIBS+= gtk+-3.0
+LIBS+= webkitgtk-3.0
+endif
 LIBS+= libsoup-2.4 gnutls
 
 CFLAGS+= -O2 -Wall -D_GNU_SOURCE -I. -I.. $(shell pkg-config --cflags $(LIBS)) $(JS_CF)
@@ -10,6 +17,7 @@
 APPDIR?= $(PREFIX)/share/applications
 MANDIR?= $(PREFIX)/share/man
 RESDIR?= $(PREFIX)/share/xombrero
+CFLAGS+= -DXT_DS_RESOURCE_DIR=\"$(RESDIR)\"
 
 SRCS= $(shell ls ../*.c)
 SRCS+= osx.c
@@ -30,8 +38,6 @@
 	../autoscroll.js > javascript.h
 
 tooltip.h: ../ascii2txt.pl ../txt2tooltip.pl ../xombrero.1
-	ln -sf ../linux/tree.h
-	ln -sf ../linux/util.h
 	nroff -c -Tascii -mandoc ../xombrero.1 | \
 	perl ../ascii2txt.pl | \
 	perl ../txt2tooltip.pl > tooltip.h
@@ -59,9 +65,13 @@
 	install -m 644 ../xombreroicon48.png $(DESTDIR)$(RESDIR)
 	install -m 644 ../xombreroicon64.png $(DESTDIR)$(RESDIR)
 	install -m 644 ../xombreroicon128.png $(DESTDIR)$(RESDIR)
+	install -m 644 ../xombreroicon256.png $(DESTDIR)$(RESDIR)
+	install -m 644 ../favicon.ico $(DESTDIR)$(RESDIR)
 	install -m 644 ../tld-rules $(DESTDIR)$(RESDIR)
 	install -m 644 ../style.css $(DESTDIR)$(RESDIR)
 	install -m 644 ../hsts-preload $(DESTDIR)$(RESDIR)
+	install -m 644 ../user-agent-headers ${DESTDIR}$(RESDIR)
+	install -m 644 ../http-accept-headers ${DESTDIR}$(RESDIR)
 	install -m 644 ../torenabled.ico $(DESTDIR)$(RESDIR)
 	install -m 644 ../tordisabled.ico $(DESTDIR)$(RESDIR)
 
@@ -69,25 +79,26 @@
 	rm -f $(DESTDIR)$(BINDIR)/xombrero
 	rm -f $(DESTDIR)$(MANDIR)/man1/xombrero.1
 	rm -f $(DESTDIR)$(APPDIR)/xombrero.desktop
-	rm -f $(DESTDIR)$(RESDIR)/xombreroicon.png
 	rm -f $(DESTDIR)$(RESDIR)/xombreroicon16.png
 	rm -f $(DESTDIR)$(RESDIR)/xombreroicon32.png
 	rm -f $(DESTDIR)$(RESDIR)/xombreroicon48.png
 	rm -f $(DESTDIR)$(RESDIR)/xombreroicon64.png
 	rm -f $(DESTDIR)$(RESDIR)/xombreroicon128.png
+	rm -f $(DESTDIR)$(RESDIR)/xombreroicon256.png
 	rm -f $(DESTDIR)$(RESDIR)/xombrero.css
+	rm -f $(DESTDIR)$(RESDIR)/favicon.ico
 	rm -f $(DESTDIR)$(RESDIR)/tordisabled.ico
 	rm -f $(DESTDIR)$(RESDIR)/torenabled.ico
 	rm -f $(DESTDIR)$(RESDIR)/tld-rules
 	rm -f $(DESTDIR)$(RESDIR)/style.css
 	rm -f $(DESTDIR)$(RESDIR)/hsts-preload
+	rm -f ${DESTDIR}$(RESDIR)/user-agent-headers
+	rm -f ${DESTDIR}$(RESDIR)/http-accept-headers
 	if [ -d $(DESTDIR)$(RESDIR) ]; then rmdir $(DESTDIR)$(RESDIR); fi
 clean:
 	rm -f xombrero $(OBJS) $(DEPS)
 	rm -f javascript.h
 	rm -f tooltip.h
-	rm -f tree.h
-	rm -f util.h
 
 -include $(DEPS)
