=== debian/changelog ===
xombrero (2:1.6.4-3build1) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 22:28:41 +0000

xombrero (2:1.6.4-3) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 21 Jun 2015 10:49:07 -0300

xombrero (2:1.6.4-2) experimental; urgency=medium

  * QA upload.
  * Set maintainer as Debian QA Group <packages@qa.debian.org>.
    (please, see #782242)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 09 Apr 2015 10:18:48 -0300

xombrero (2:1.6.4-1) experimental; urgency=medium

  * New upstream release.  (Closes: #635314, #657017, #757578, #765744)
  * debian/control: put my name in Uploaders field.
                    Bump Standards-Version to 3.9.6.
  * debian/copyright: put my name in debian entry.
  * debian/patches/*: reviewed.
           0005-Don-t-install-xombrero.desktop-file.patch removed.
  * debian/source/lintian-overrides: removed because is useless now.
  * xombrero.lintian-overrides: removed the now unused override
           desktop-mime-but-no-exec-code.

 -- Herbert Parentes Fortes Neto <hpfn@ig.com.br>  Tue, 03 Mar 2015 15:33:09 -0300
