=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xombrero
 Section: web
 Priority: optional
-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Uploaders: Luis Henriques <henrix@camandro.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 9),
   libwebkitgtk-3.0-dev,
   libgtk-3-dev,
@@ -10,7 +9,7 @@
   libgnutls28-dev,
   libbsd-dev,
   imagemagick
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://opensource.conformal.com/wiki/xombrero
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/xombrero.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/xombrero.git
