=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --parallel

override_dh_auto_build:
	$(MAKE) -C linux/ PREFIX=/usr
	convert -resize 32x32 xombreroicon32.png xombrero.xpm

override_dh_auto_install:
	$(MAKE) -C linux/ install PREFIX=/usr \
		DESTDIR=$(CURDIR)/debian/xombrero

override_dh_auto_clean:
	$(MAKE) -C linux/ clean
	rm -f xombrero.xpm

override_dh_installchangelogs:
	dh_installchangelogs debian/xombrero.upstream-changelog

# Fix FTBFS due to main Makefile being fit for BSD make (#718074).
override_dh_auto_test:
