=== debian/watch ===
version=3
https://opensource.conformal.com/snapshots/xombrero/xombrero-(\d\S+)\.(?:tgz|tar\.(?:bz2|gz|xz))
